// Example.cpp : Defines the exported functions for the DLL application.
//

#include "stdafx.h"
#include "IPlugin.h"
#include "PluginExample.h"

// render
TRenderExampleType render;
// Condition
TConditionExampleType condition;
// Action
TActionExampleType action;

/*
	How to use it?

	1. Place the compiled DLL file to OptimusPopularisConfigurator/Plufins folder (default location in Program Files (x86))
	2. Start the Configurator (or restart it)
	3. Create new Layout
	4. Pick some button on the keyboard and place an Example render plugin from the "Display" dropbox and see a changing color
	5. Click + button on the bottom of the left layout panel and add Example condition plugin. It's an example with little GUI (button is not really active)
	6. Pick the button on the keyboard again and pick Example action plugin from "Action" dropbox. Then you can press the corresponding Popularis button and see the messagebox
*/

static IPluginType* Array[] = {&render,&condition,&action};

static DWORD ArraySize = sizeof(Array) / sizeof(IPluginType*);

extern "C"
{
	__declspec(dllexport) IPluginType** __stdcall GetPluginArray(void)
	{
		return Array;
	}
	__declspec(dllexport) DWORD __stdcall GetPluginCount(void)
	{
		return ArraySize;
	}
};